com.qualcomm.robotcore.hardware

## Class HardwareDeviceHealthImpl

- java.lang.Object
- - com.qualcomm.robotcore.hardware.HardwareDeviceHealthImpl

- All Implemented Interfaces:
    HardwareDeviceHealth

      public class HardwareDeviceHealthImpl
      extends java.lang.Object
      implements HardwareDeviceHealth

  `HardwareDeviceHealthImpl` provides a delegatable-to implemenatation of HardwareDeviceHealth

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.qualcomm.robotcore.hardware.HardwareDeviceHealth

      `HardwareDeviceHealth.HealthStatus`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HardwareDeviceHealth.HealthStatus` | `healthStatus`
    `protected java.util.concurrent.Callable<HardwareDeviceHealth.HealthStatus>` | `override`
    `protected java.lang.String` | `tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HardwareDeviceHealthImpl(java.lang.String tag)`
    `HardwareDeviceHealthImpl(java.lang.String tag, java.util.concurrent.Callable<HardwareDeviceHealth.HealthStatus> override)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `HardwareDeviceHealth.HealthStatus` | `getHealthStatus()`
    `void` | `setHealthStatus(HardwareDeviceHealth.HealthStatus status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tag

          protected java.lang.String tag

    - #### healthStatus

          protected HardwareDeviceHealth.HealthStatus healthStatus

    - #### override

          protected java.util.concurrent.Callable<HardwareDeviceHealth.HealthStatus> override

  - ### Constructor Detail

    - #### HardwareDeviceHealthImpl

          public HardwareDeviceHealthImpl(java.lang.String tag)

    - #### HardwareDeviceHealthImpl

          public HardwareDeviceHealthImpl(java.lang.String tag,
                                          java.util.concurrent.Callable<HardwareDeviceHealth.HealthStatus> override)

  - ### Method Detail

    - #### close

          public void close()

    - #### setHealthStatus

          public void setHealthStatus(HardwareDeviceHealth.HealthStatus status)

      Specified by:
        `setHealthStatus` in interface `HardwareDeviceHealth`

    - #### getHealthStatus

          public HardwareDeviceHealth.HealthStatus getHealthStatus()

      Specified by:
        `getHealthStatus` in interface `HardwareDeviceHealth`